=== debian/changelog ===
gfal2 (2.21.0-1) unstable; urgency=medium

  * New upstream release 2.21.0
  * Make doxygen Build-Depends-Indep

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Mon, 11 Jul 2022 11:31:45 +0200

gfal2 (2.20.5-1) unstable; urgency=medium

  * New upstream release 2.20.5
  * Drop patches accepted upstream
    - gfal2-define-ENODATA-if-not-defined.patch
    - gfal2-define-ENOSR-if-not-defined.patch
    - gfal2-do-not-hardcode-error-numbers.patch

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Sat, 05 Mar 2022 05:47:05 +0100
