=== debian/changelog ===
gfal2 (2.21.1-1) unstable; urgency=medium

  * New upstream release 2.21.1

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Tue, 11 Oct 2022 16:14:21 +0200
