=== debian/changelog ===
gfal2 (2.21.2-1) unstable; urgency=medium

  * New upstream release 2.21.2

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Thu, 01 Dec 2022 15:25:44 +0100
