## gfal2 2.21.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -45,7 +45,7 @@
 
 set (VERSION_MAJOR  2)
 set (VERSION_MINOR  21)
-set (VERSION_PATCH  2)
+set (VERSION_PATCH  3)
 set (VERSION_STRING ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})
 
 add_definitions(-DVERSION="${VERSION_STRING}")
