=== debian/changelog ===
gfal2 (2.21.3-1) unstable; urgency=medium

  * New upstream release 2.21.3

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Thu, 09 Feb 2023 04:15:21 +0100
