=== debian/control ===
--- 
+++ 
@@ -14,14 +14,14 @@
  srm-ifce-dev (>= 1.23.1),
  dcap-dev,
  libglobus-gass-copy-dev,
- davix-dev (>= 0.8.2),
+ davix-dev (>= 0.8.4),
  libxrootd-client-dev,
  libssh2-1-dev,
  pkg-config,
  libgtest-dev (>= 1.8.0-7)
 Build-Depends-Indep:
  doxygen
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Section: net
 Vcs-Browser: https://salsa.debian.org/ellert/gfal2
 Vcs-Git: https://salsa.debian.org/ellert/gfal2.git
