=== debian/changelog ===
gfal2 (2.21.5-1) unstable; urgency=medium

  * New upstream release 2.21.5

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Fri, 28 Jul 2023 07:03:40 +0200

gfal2 (2.21.4-1) unstable; urgency=medium

  * New upstream release 2.21.4
  * Add new build dependency libcrypto++-dev

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Thu, 15 Jun 2023 11:03:11 +0200
