=== debian/control ===
--- 
+++ 
@@ -15,6 +15,7 @@
  dcap-dev,
  libglobus-gass-copy-dev,
  davix-dev (>= 0.8.4),
+ libcrypto++-dev (>= 5.6.2),
  libxrootd-client-dev,
  libssh2-1-dev,
  pkg-config,
