## gfal2 2.22.0

=== debian/changelog ===
gfal2 (2.22.0-1) unstable; urgency=medium

  * New upstream release 2.22.0

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Wed, 18 Oct 2023 17:13:06 +0200
