## gfal2 2.22.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -44,8 +44,8 @@
 set (OUTPUT_NAME_TRANSFER "gfal_transfer")
 
 set (VERSION_MAJOR  2)
-set (VERSION_MINOR  21)
-set (VERSION_PATCH  5)
+set (VERSION_MINOR  22)
+set (VERSION_PATCH  1)
 set (VERSION_STRING ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})
 
 add_definitions(-DVERSION="${VERSION_STRING}")
