=== debian/changelog ===
gfal2 (2.22.1-1.1ubuntu3) noble; urgency=high

  * No change rebuild against libdcap1t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 16:58:41 +0200

gfal2 (2.22.1-1.1ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 05:42:43 +0000

gfal2 (2.22.1-1.1ubuntu1) noble; urgency=medium

  * Remove hard-coded dependency on libgfal-srm-ifce1.

 -- dann frazier <dannf@ubuntu.com>  Sat, 23 Mar 2024 22:40:59 -0600

gfal2 (2.22.1-1.1build2) noble; urgency=high

  * No change rebuild against libgfal-srm-ifce1t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 17:20:52 +0100

gfal2 (2.22.1-1.1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 22:40:20 +0000

gfal2 (2.22.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062109

 -- Steve Langasek <vorlon@debian.org>  Wed, 28 Feb 2024 17:33:04 +0000

gfal2 (2.22.1-1) unstable; urgency=medium

  * New upstream release 2.22.1

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Wed, 13 Dec 2023 14:39:38 +0100
