=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: gfal2
 Priority: optional
-Maintainer: Mattias Ellert <mattias.ellert@physics.uu.se>
-Build-Depends:
- debhelper (>= 13),
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Mattias Ellert <mattias.ellert@physics.uu.se>
+Build-Depends: dpkg-dev (>= 1.22.5),
+ debhelper-compat (= 13),
  cmake,
  libattr1-dev [kfreebsd-any],
  libglib2.0-dev,
@@ -32,8 +33,8 @@
 Architecture: all
 Multi-Arch: foreign
 Depends:
- libgfal2-2,
- libgfal-transfer2,
+ libgfal2-2t64,
+ libgfal-transfer2t64,
  ${misc:Depends}
 Recommends:
  gfal2-plugin-file,
@@ -48,7 +49,10 @@
  operations in grids and cloud environments. The set of supported
  protocols depends on the gfal2 installed plugins.
 
-Package: libgfal2-2
+Package: libgfal2-2t64
+Provides: ${t64:Provides}
+Replaces: libgfal2-2
+Breaks: libgfal2-2 (<< ${source:Version})
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -59,12 +63,15 @@
  The main library of gfal2. The gfal protocol support relies on a
  plugin system.
 
-Package: libgfal-transfer2
+Package: libgfal-transfer2t64
+Provides: ${t64:Provides}
+Replaces: libgfal-transfer2
+Breaks: libgfal-transfer2 (<< ${source:Version})
 Section: libs
 Architecture: any
 Multi-Arch: same
 Depends:
- libgfal2-2 (= ${binary:Version}),
+ libgfal2-2t64 (= ${binary:Version}),
  ${shlibs:Depends},
  ${misc:Depends}
 Description: File Transfer logic of gfal2
@@ -76,8 +83,8 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libgfal2-2 (= ${binary:Version}),
- libgfal-transfer2 (= ${binary:Version}),
+ libgfal2-2t64 (= ${binary:Version}),
+ libgfal-transfer2t64 (= ${binary:Version}),
  libattr1-dev [kfreebsd-any],
  libglib2.0-dev,
  ${misc:Depends}
@@ -97,7 +104,7 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libgfal2-2 (= ${binary:Version}),
+ libgfal2-2t64 (= ${binary:Version}),
  ${shlibs:Depends},
  ${misc:Depends}
 Description: Provides file support for gfal2
@@ -109,7 +116,7 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libgfal2-2 (= ${binary:Version}),
+ libgfal2-2t64 (= ${binary:Version}),
  dcap-tunnel-gsi,
  ${shlibs:Depends},
  ${misc:Depends}
@@ -122,9 +129,8 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libgfal2-2 (= ${binary:Version}),
- libgfal-transfer2 (= ${binary:Version}),
- libgfal-srm-ifce1 (>= 1.23.1),
+ libgfal2-2t64 (= ${binary:Version}),
+ libgfal-transfer2t64 (= ${binary:Version}),
  ${shlibs:Depends},
  ${misc:Depends}
 Description: Provides srm support for gfal2
@@ -136,8 +142,8 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libgfal2-2 (= ${binary:Version}),
- libgfal-transfer2 (= ${binary:Version}),
+ libgfal2-2t64 (= ${binary:Version}),
+ libgfal-transfer2t64 (= ${binary:Version}),
  ${shlibs:Depends},
  ${misc:Depends}
 Description: Provides the gridftp support for gfal2
@@ -149,8 +155,8 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libgfal2-2 (= ${binary:Version}),
- libgfal-transfer2 (= ${binary:Version}),
+ libgfal2-2t64 (= ${binary:Version}),
+ libgfal-transfer2t64 (= ${binary:Version}),
  ${shlibs:Depends},
  ${misc:Depends}
 Description: Provides HTTP and DAV support for gfal2
@@ -162,8 +168,8 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libgfal2-2 (= ${binary:Version}),
- libgfal-transfer2 (= ${binary:Version}),
+ libgfal2-2t64 (= ${binary:Version}),
+ libgfal-transfer2t64 (= ${binary:Version}),
  ${shlibs:Depends},
  ${misc:Depends}
 Description: Provides xrootd support for gfal2
@@ -173,8 +179,8 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libgfal2-2 (= ${binary:Version}),
- libgfal-transfer2 (= ${binary:Version}),
+ libgfal2-2t64 (= ${binary:Version}),
+ libgfal-transfer2t64 (= ${binary:Version}),
  ${shlibs:Depends},
  ${misc:Depends}
 Description: Provides sftp support for gfal2
@@ -184,8 +190,8 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libgfal2-2 (= ${binary:Version}),
- libgfal-transfer2 (= ${binary:Version}),
+ libgfal2-2t64 (= ${binary:Version}),
+ libgfal-transfer2t64 (= ${binary:Version}),
  ${shlibs:Depends},
  ${misc:Depends}
 Description: Provides a mock dummy protocol for gfal2
