=== debian/changelog ===
gfal2 (2.22.2-2) unstable; urgency=medium

  * Drop hardcoded library dependency on libgfal-srm-ifce1 (Closes: #1067583)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Thu, 28 Mar 2024 21:55:19 +0100

gfal2 (2.22.2-1) unstable; urgency=medium

  * New upstream release 2.22.2
  * Fixes for 64 bit time_t on 32 bit systems

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Wed, 20 Mar 2024 17:00:48 +0100
