=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: gfal2
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Mattias Ellert <mattias.ellert@physics.uu.se>
-Build-Depends: dpkg-dev (>= 1.22.5),
+Maintainer: Mattias Ellert <mattias.ellert@physics.uu.se>
+Build-Depends:
  debhelper-compat (= 13),
+ dpkg-dev (>= 1.22.5),
  cmake,
  libattr1-dev [kfreebsd-any],
  libglib2.0-dev,
@@ -19,7 +19,7 @@
  libcrypto++-dev (>= 5.6.2),
  libxrootd-client-dev,
  libssh2-1-dev,
- pkg-config,
+ pkgconf,
  libgtest-dev (>= 1.8.0-7)
 Build-Depends-Indep:
  doxygen
