=== debian/changelog ===
gfal2 (2.23.0-1) unstable; urgency=medium

  * New upstream release 2.23.0
  * Drop 64 bit time_t patch (accepted upstream)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Tue, 06 Aug 2024 10:00:25 +0200
