## gfal2 2.23.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -46,7 +46,7 @@
 
 set (VERSION_MAJOR  2)
 set (VERSION_MINOR  23)
-set (VERSION_PATCH  0)
+set (VERSION_PATCH  1)
 set (VERSION_STRING ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})
 
 add_definitions(-DVERSION="${VERSION_STRING}")
