=== debian/changelog ===
gfal2 (2.23.1-1) unstable; urgency=medium

  * New upstream release 2.23.1

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Tue, 08 Oct 2024 10:34:40 +0200
