=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
  libgtest-dev (>= 1.8.0-7)
 Build-Depends-Indep:
  doxygen
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Section: net
 Vcs-Browser: https://salsa.debian.org/ellert/gfal2
 Vcs-Git: https://salsa.debian.org/ellert/gfal2.git
